OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.Domain

Description

This is a purely internal module for handling evaluator domains.

# Documentation

class Storable d => Domain d where Source

Methods

glMap1 :: GLenum -> d -> d -> GLint -> GLint -> Ptr d -> IO ()Source

glMap2 :: GLenum -> d -> d -> GLint -> GLint -> d -> d -> GLint -> GLint -> Ptr d -> IO ()Source

glGetMapv :: GLenum -> GLenum -> Ptr d -> IO ()Source

evalCoord1 :: d -> IO ()Source

evalCoord1v :: Ptr d -> IO ()Source

evalCoord2 :: (d, d) -> IO ()Source

evalCoord2v :: Ptr d -> IO ()Source

glMapGrid1 :: GLint -> d -> d -> IO ()Source

glMapGrid2 :: GLint -> d -> d -> GLint -> d -> d -> IO ()Source

get2 :: GetPName2F p => (d -> d -> a) -> p -> IO aSource

get4 :: GetPName4F p => (d -> d -> d -> d -> a) -> p -> IO aSource

Instances

Domain GLdouble |
Domain GLfloat |